/*
Section:  3) 2NF to 3NF
Script:   7) Getting Data Into 3NF
Basics:   We have our data set in 2NF.  Now to move to the next step.
Notes:    
*/

/*
Once we're in 2NF, going to 3NF means moving non-key attributes
which are facts about other non-key attributes off into separate
tables.

Our original 2NF model was actually in 3NF, so we're introducing
a new attribute to force us out of 2NF.

Member
	- Name (PK)

Instrument
	- Name (PK)

Album
	- Year
	- ProjeKctName (NULL)
	- Type { Studio, Live }
	- AlbumName (PK)
	- Label (NULL)
	- LabelHeadquarters (NULL)

AlbumXMember
	- AlbumName (PK)
	- MemberName (PK)
	- IsSessionOnly

AlbumXMemberXInstrument
	- AlbumName (PK)
	- MemberName (PK)
	- InstrumentName (PK)

Song
	- AlbumName (PK, AK2)
	- TrackNumber (AK2)
	- SongName (PK)

SongXMember
	- AlbumName (PK)
	- SongName (PK)
	- MemberName (PK)

TO DO:
1)  Determine if each table is in 3NF.
2)  If a table is not in 3NF, make it so.

*/
